# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::PlyLoader::PlyPropertyAbstract Class Reference

Used by PlyLoader. More...

`#include <vlPLY.hpp>`

Inheritance diagram for vl::PlyLoader::PlyPropertyAbstract:

List of all members.

## Public Member Functions
const String & | name () const
void | setName (const String &name)
virtual void | read (VirtualFile *, bool le)=0
virtual void | read (TextStream *text)=0
## Protected Attributes
String | mName

## Detailed Description

Used by PlyLoader.

## Member Function Documentation

const String& vl::PlyLoader::PlyPropertyAbstract::name | ( |  | ) | const`[inline]`

Reimplemented from vl::Object.

void vl::PlyLoader::PlyPropertyAbstract::setName | ( | const String & | name | ) | `[inline]`

virtual void vl::PlyLoader::PlyPropertyAbstract::read | ( | VirtualFile * | ,
|  | bool | le |
| ) |  |  | `[pure virtual]`

Implemented in vl::PlyLoader::PlyScalar, and vl::PlyLoader::PlyScalarList.

virtual void vl::PlyLoader::PlyPropertyAbstract::read | ( | TextStream * | text | ) | `[pure virtual]`

Implemented in vl::PlyLoader::PlyScalar, and vl::PlyLoader::PlyScalarList.

## Member Data Documentation

String vl::PlyLoader::PlyPropertyAbstract::mName`[protected]`

Reimplemented from vl::Object.

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vlPLY.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:57 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.